package tools.descartes.prisma.core.templates.repository;

import edu.kit.ipd.descartes.mm.applicationlevel.repository.Interface;
import edu.kit.ipd.descartes.mm.applicationlevel.repository.RepositoryFactory;
import edu.kit.ipd.descartes.mm.applicationlevel.repository.RepositoryPackage;
import edu.kit.ipd.descartes.mm.applicationlevel.repository.Signature;
import tools.descartes.prisma.core.templates.core.NamedElementTemplate;

public class SignatureTemplate extends NamedElementTemplate<Interface, Signature> {
	
	public SignatureTemplate(String signatureName) {
		super(RepositoryPackage.Literals.INTERFACE__SIGNATURES, Signature.class, signatureName);
	}

	@Override
	protected Signature create(Interface interf) {
		Signature signature = RepositoryFactory.eINSTANCE.createSignature();
		signature.setId("Signature_" + getId(getName()));
		signature.setName(getName());
		return signature;
	}
}
