package tools.descartes.prisma.core.templates.resourcelandscape;

import edu.kit.ipd.descartes.mm.resourcelandscape.ComputingInfrastructure;
import edu.kit.ipd.descartes.mm.resourcelandscape.DataCenter;
import edu.kit.ipd.descartes.mm.resourcelandscape.ResourcelandscapeFactory;
import edu.kit.ipd.descartes.mm.resourcelandscape.ResourcelandscapePackage;

public class ComputingInfrastructureTemplate extends ContainerTemplate<DataCenter, ComputingInfrastructure> {	

	public ComputingInfrastructureTemplate(String name) {
		super(ResourcelandscapePackage.Literals.DATA_CENTER__CONTAINS, ComputingInfrastructure.class, name);
	}
	
	@Override
	protected ComputingInfrastructure create(DataCenter parent) {
		ComputingInfrastructure hw = ResourcelandscapeFactory.eINSTANCE.createComputingInfrastructure();
		hw.setName(getName());
		return hw;
	}
	
	

}
